#
# spec file for package splashy (Version 0.3.8)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    DirectFB DirectFB-devel ImageMagick ImageMagick-devel Mesa aaa_base acl atk attr audit-libs autoconf automake bash binutils brp-check-suse build bzip2 cairo coreutils cpio cpp cpp43 cracklib cups-libs cvs dhcpcd diffutils file file-devel filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc43 gdbm gettext-runtime gettext-tools glib2 glib2-branding-upstream glib2-devel glibc glibc-devel glibc-locale glitz gmp grep groff gtk2 gzip hicolor-icon-theme info insserv keyutils-libs krb5 lcms less libMagickCore1 libMagickWand1 libacl libatk-1_0-0 libattr libbz2-1 libbz2-devel libcom_err2 libdb-4_5 libdrm libexpat1 libgcc43 libgio-2_0-0 libglib-2_0-0 libgmodule-2_0-0 libgobject-2_0-0 libgomp43 libgthread-2_0-0 libjasper libjpeg libjpeg-devel liblcms-devel liblcms1 libltdl-3 libltdl7 libmpfr1 libncurses5 libopenssl0_9_8 libpng-devel libpng12-0 libreadline5 libselinux1 libsepol1 libstdc++-devel libstdc++43 libstdc++43-devel libtiff-devel libtiff3 libtool libuuid-devel libuuid1 libvolume_id libvolume_id1 libwmf libwmf-devel libwmf-gnome libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers login m4 make man mkinitrd module-init-tools net-tools netcfg pam pam-modules pango patch pcre perl perl-base permissions pkg-config popt post-build-checks psmisc rpm rpmlint-Factory rpmlint-mini sed sysfsutils sysvinit tar terminfo-base texinfo timezone udev util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           splashy
Summary:        A complete user-space boot splash system
Version:        0.3.8
Release:        103
License:        GPL v2 or later
Group:          System/Boot
Url:            http://splashy.alioth.debian.org/wiki/doku.php
PreReq:         mkinitrd coreutils
Source:         %{name}-%{version}.tar.bz2
Source1:        setup-splashy.sh
Source2:        pm-utils-splashy.sh
Source3:        themes.tar.bz2
Source4:        README.themes
# Werror breaks build when used with fortify (we could also empty the _fortify_cflags macro)
#Patch0:         splashy.diff
Patch0:         splashy-default-theme.patch
Patch1:         splashy-0.3.8-fix-compiler-warnings.patch
Patch2:         splashy-0.3.8-glib.patch
Patch3:         splashy-disable-x11input.patch
BuildRequires:  DirectFB-devel file-devel
BuildRequires:  glib2-devel
BuildRequires:  ImageMagick-devel
#BuildRequires:	procps-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  freetype2-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Splashy is a next generation boot splashing system for Linux systems.
Unlike other splashing systems, it needs no patches to the kernel and
its installed like a normal package. Make your boot process eye-candy
with Splashy!

Some of Splashys most noticeable features include:

* Require zero kernel patches/full functionality in user-space

* Boot/halt/reboot/runlevel-switch support

* Progressbar support (with optional border)

* Verbose mode (with F2/ESC keys)

* Configuration file in XML

* Cope with any video-mode resolution/size

* Cope with 8, 16, and 24 bit framebuffers

* Alpha channel (transparency) support

* Video mode detection

* Initramfs support

* TrueType2 fonts support

* Lots of image/animation file formats supported: jpg, png, gif,
   mpg, swf

* Low dependencies and code in C to best perform

* Full LSB support

* Multiple themes support

* Really easy to create new themes

* X detection on exit

* Smooth progressbar movement

* Animations support

* Fade in/out effects

* Totally configurable



Authors:
--------
    Jacobo Vilella <jacobo221@gmail.com>
    Luis Mondesi <lemsx1@gmail.com>
    Otavio Salvador <otavio@debian.org>
    Tim Dijkstra <newsuser@famdijkstra.org>
    Vicenzo Ampolo <Vicenzo.Ampolo@gmail.com>
    Vincent Amouret <vincent.amouret@gmail.com>
    Andrew Williams <mistik1@geeksinthehood.net>
    Goedson Teixeira Paixao
    Mario Izquierdo
    Pat Suwalski <pats@xandros.com>
    Alban Browaeys <prahal@yahoo.com>

%debug_package
%package -n	splashy-devel
License:        GPL v2 or later
Summary:        Development tools for programs using libsplashy
Group:          Development/Languages/C and C++
Requires:       splashy = %{version}

%description -n	splashy-devel
This package contains the header files and libraries needed for
developing programs using libsplashy.



Authors:
--------
    Jacobo Vilella <jacobo221@gmail.com>
    Luis Mondesi <lemsx1@gmail.com>
    Otavio Salvador <otavio@debian.org>
    Tim Dijkstra <newsuser@famdijkstra.org>
    Vicenzo Ampolo <Vicenzo.Ampolo@gmail.com>
    Vincent Amouret <vincent.amouret@gmail.com>
    Andrew Williams <mistik1@geeksinthehood.net>
    Goedson Teixeira Paixao
    Mario Izquierdo
    Pat Suwalski <pats@xandros.com>
    Alban Browaeys <prahal@yahoo.com>

%package -n splashy-themes
License:        GPL v2 or later
Summary:        Additional themes for splashy
Requires:       %{name} = %{version}-%{release}
AutoReqProv:    on
Group:          System/Boot

%description -n splashy-themes
Available themes: - fingerprint

- aqua

- mepis baghira

- default splashy theme



%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
find . -type f | xargs perl -pi -e "s|/usr/lib/|%{_libdir}/|g"
find . -type f | xargs perl -pi -e "s|/lib/|/%{_lib}/|g"
# build gets confused on x86_64 because of this .la file
rm -f src/libglib-2.0.la

%build
NOCONFIGURE=1 ./autogen.sh
%configure --prefix=/ --disable-static CFLAGS="$RPM_OPT_FLAGS"
make 

%pre
if test -d %{_sysconfdir}/splashy/themes -a ! -L %{_sysconfdir}/splashy/themes; then
  mv %{_sysconfdir}/splashy/themes %{_sysconfdir}/splashy/themes.bak
fi

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%makeinstall
rm %{buildroot}/usr/lib*/libsplashy*.la
# remove Debian-specific files
cd %{buildroot}
rm -f  .%{_sysconfdir}/lsb-base-logging.sh
rm -rf .%{_sysconfdir}/console-tools
rm -rf .%{_datadir}/initramfs-tools
#remove splashy init script for now, it's not working anyway
#TODO, fixup init-script, install with chmod +x, link to /usr/sbin/rcsplash
rm -f .%{_sysconfdir}/init.d/splashy
mkdir -p $RPM_BUILD_ROOT/lib/mkinitrd/scripts
cp %{SOURCE1} $RPM_BUILD_ROOT/lib/mkinitrd/scripts
tar xvf %{SOURCE3} -C $RPM_BUILD_ROOT/usr/share/splashy/
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/splashy/
#mkdir -p $RPM_BUILD_ROOT/usr/lib/pm-utils/sleep.d/
#cp %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/pm-utils/sleep.d/99splashy
# remove translations for now TODO: #%find_lang %name
rm %{buildroot}/%{_datadir}/locale/*/LC_MESSAGES/splashy.mo

%clean
rm -rf %{buildroot}

%post
%run_ldconfig
/sbin/mkinitrd_setup

%postun
%run_ldconfig
/sbin/mkinitrd_setup

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/default/*
%dir %{_sysconfdir}/splashy
%config(noreplace) %{_sysconfdir}/splashy/config.xml
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
/lib/mkinitrd/scripts/setup-splashy.sh
%dir %{_datadir}/splashy
%{_libdir}/lib%{name}*.so.*
%{_datadir}/splashy/schemas
%dir %{_datadir}/splashy/themes
%{_datadir}/splashy/themes/default
%{_datadir}/splashy/themes/openSUSE
# this is a symbolic link to /usr/share/splashy/themes
%{_sysconfdir}/splashy/README.themes

%files -n splashy-devel
%defattr(-,root,root)
%{_includedir}/%{name}*.h
%{_libdir}/lib%{name}*.so

%files -n splashy-themes
%defattr(-,root,root)
/usr/share/splashy/themes/fingerprint
/usr/share/splashy/themes/mepis_baghira
/usr/share/splashy/themes/aqua
/usr/share/splashy/themes/openSUSE-zz

%changelog
* Tue Sep 30 2008 hmacht@suse.de
- disable DirectFB-x11input module, it segfaults (bnc#429276)
* Mon Sep 29 2008 hmacht@suse.de
- adjust library paths in setup-splashy.sh due to DirectFB update
  (bnc#430130)
* Wed May 21 2008 hmacht@suse.de
- package old openSUSE theme as openSUSE-zz in splashy-themes package
- add new openSUSE theme to core package and adjust
  splashy-default-theme.patch accordingly (bnc#387647)
* Fri Feb 01 2008 hmacht@suse.de
- adjust paths and libraries in setup-splashy.sh (mkinitrd)
* Tue Jan 29 2008 hmacht@suse.de
- (bnc#354982)
 - remove link /etc/splashy/themes and add README.themes instead
 - patch splashy configuration to look at /usr/share/splashy/themes for
  themes instead
 - package openSUSE theme in splashy.rpm and upstream default theme in
  splashy-themes.rpm
* Mon Jan 28 2008 hmacht@suse.de
- /etc/splashy/themes was a directory and is now a link, so remove
  the directory on update (b.n.c. 354982)
* Tue Jan 15 2008 hmacht@suse.de
- update to 0.3.8:
 - remove splashy-static.patch
 - add patch splashy-0.3.8-glib.patch
 - Changes between 0.3.7 and 0.3.8
  * Bug fixes:
 - Changes between 0.3.6 and 0.3.7
  * all static build dropped in favor of shared libraries. If your
  distribution does not support initramfs shared binaries, or you are
  using Splashy from a thin-client server, you will need to re-enable
  static on your own. Please refer to configure.ac and src/Makefile.am
  * scrolls text during boot (splashy_update "scroll text to display")
  * splashy_update commands print_scroll is now just scroll. Same for
  its alias "TEXT_SCROLL->SCROLL)
  * splashy_update command clrprint is now just "clear"
  * adds verbose text when pressing F2 (again). This time is done using
  LSB scripts not reading the console files (/dev/vcs*)
  * LSB script writes splashy PID to /var/run/sendsigs.omit which is
  used by /etc/init.d/sendsigs to killall5 all processes at
  shutdown/reboot. This tells the system to ignore killing splashy during
  shutdown/reboot.
  * adds international support. Translators needed!
  http://splashy.alioth.debian.org/i18n/
  * uses the real size of the screen and not that reported by the
  surface (Thanks to DeX77 from #frugalware for helping to get this
  fixed)
 - Changes between 0.3.5 and 0.3.6
  * Documentation updates
  * Support for OpenSuSE/Fedora and other RPM-based systems
  * Splashy now works with Directfb 1.x
  * Splashy runs from initramfs under Init again (Thanks to RPath Linux
  and Directfb Dev Team) (upstart works just like before)
  * Themes are now in /usr/share/splashy/themes and a symlink from
  /etc/splashy/themes points to that location (See README for more)
* Wed Oct 17 2007 hmacht@suse.de
- use giant if-clause to never ever return from a mkinitrd script
  which would result in the initrd build process to fail
  (according to novell bug 331785, comment 8)
* Thu Oct 11 2007 hmacht@suse.de
  Update to upstream 0.3.5:
 - Make init scripts consistent. STEPS_DIR can be defined in
  /etc/default/splashy
 - bugfixes
 - documentation updates
* Tue Sep 11 2007 seife@suse.de
- fix wrong path in the theme check
- do not exit in mkinitrd script since this script is sourced
* Mon Sep 10 2007 seife@suse.de
- never abort mkinitrd because of potential splashy errors
* Sun Sep 09 2007 seife@suse.de
- fix setup-splashy.sh error if the configured theme is not there
* Thu Sep 06 2007 hmacht@suse.de
- add splashy-themes package, only openSUSE theme remains in the
  original package
- add themes Fingerprint, Mepis Bahira, Aqua and default splashy
  theme to splashy-themes package
* Mon Sep 03 2007 seife@suse.de
- do not put /etc/suspend.conf into the initrd
* Fri Aug 31 2007 seife@suse.de
- fix setup-splashy.sh in case the user changed his config.xml
* Mon Aug 27 2007 hmacht@suse.de
- setup-splashy.sh script did not copy dynamic libraries to initrd
  if static ones were not present in installed system
- add openSUSE theme by Jakub Steiner and use as default
* Tue Aug 21 2007 hmacht@suse.de
- do not install 99splashy pm-utils hook to create the screenshot
  before suspending. There are complications with the timeframe
  and with the desktop screensaver kicking in
* Mon Aug 06 2007 hmacht@suse.de
- call /sbin/mkinitrd_setup in %%postun to remove links
  (novell bug 297219)
- exit gracefully if convert is not installed
* Fri Aug 03 2007 hmacht@suse.de
- pm-utils-splashy.sh: Don't create screenshot if splash is
  disabled
* Wed Jul 25 2007 hmacht@suse.de
- add hook for pm-utils to create a screenshot of the desktop to
  show as suspend image
- add mkinitrd script to integrate splashy into the initrd
- splashy-default-theme.diff: slightly adjust the default theme
  configuration to fulfil our needs
* Fri Jun 29 2007 hmacht@suse.de
- initial submission
